Index: contrib/OpenWRT/HOWTO
===================================================================
--- contrib/OpenWRT/HOWTO	(revision 700)
+++ contrib/OpenWRT/HOWTO	(revision 701)
@@ -10,8 +10,10 @@
 behave correctly on this platform.
 
-Therefore, the OpenWRT port is NOT usable at this moment.
+Therefore, the OpenWRT port is NOT usable properly at this moment with uClibc.
 
 A test software is included in test_required for checking if new uClibc distributions 
 support the required features. You'll have to adapt the Makefile according to your environment.
+
+An alternative choice if your hardware allows it is to use glibc in your openwrt image.
 
 #####################
@@ -66,12 +68,20 @@
    wpad (*)
    wpad-mini ( )
-
-4) Build the image and packages, this takes a while
+   
+
+4) Set the C library to glibc instead of uClibc (broken support, see #26)
+
+- Advanced configuration options (for developers) --->
+  - Toolchain Options ---->
+    C Library implementation (Use glibc)
+
+
+5) Build the image and packages, this takes a while
 $ make world
 
-5) Export the bin/* directory through a webserver. 
+6) Export the bin/* directory through a webserver. 
    We assume it is available at http://192.168.1.25/owrt
    
-6) Flash the router with your new image -- THIS DESTROYS ALL CONFIG ON THE ROUTER!
+7) Flash the router with your new image -- THIS DESTROYS ALL CONFIG ON THE ROUTER!
 $ ssh root@192.168.1.1
 # cd /tmp
@@ -85,10 +95,10 @@
 # exit
 
-7) Update the opkg router's config to get your new packages
+8) Update the opkg router's config to get your new packages
 ssh root@192.168.1.1
 # echo "src/gz localrepo http://192.168.1.25/owrt/packages" >> /etc/opkg.conf 
 # opkg update
 
-8) Install freeDiameter, you're done. Optionnaly, install also certtool on the router before, to 
+9) Install freeDiameter, you're done. Optionnaly, install also certtool on the router before, to 
    generate the TLS certificate automatically.
 # opkg install freeDiameter
@@ -140,6 +150,13 @@
 to go with a 2.6x kernel, whenever possible. 
    
-e) Once configured, create the toolchain and default image (this takes a while):
-$ make
+e) As per freeDiameter ticket #26, you also need to change the library to glibc instead of uClibc.
+Change the option as follow:
+
+- Advanced configuration options (for developers) --->
+  - Toolchain Options ---->
+    C Library implementation (Use glibc)
+
+f) Once configured, create the toolchain and default image (this takes a while):
+$ make world
 
 After this command completes successfully, your build environment is ready.
@@ -166,11 +183,12 @@
 
 We will now describe how to install these dependencies. At the time this HOWTO is written, 
-the OpenWRT repositories contain ipv6, gnutls, pthreads and hostapd. Follow these instruction to
-build them.
+the OpenWRT repositories contains packages for sctp, ipv6, gnutls, pthreads and hostapd. 
+Follow these instructions to build them.
 
 Alternatively, you can find these packages pre-compiled in the OpenWRT packages repository.
 
-a) GNU TLS packages
+a) Add the packages
 $ scripts/feeds install libgnutls
+$ scripts/feeds install sctp
 
 b) Select the following components in the menu:
@@ -180,4 +198,5 @@
    
 - Network --->
+   sctp (M)
    hostapd (M)
    wpad-mini ( )
@@ -197,5 +216,5 @@
 Since we are removing the wpad-mini daemon from the base image, this image (trx or bin file) is also recompiled.
 
-Note that if you are setting your device as WPA supplicant also (wireless client), you can select wpad instead of hostapd.
+Note that if you are setting your device as WPA supplicant also (wireless client), you must select wpad instead of hostapd.
 (in any case, the -mini version is not suitable since we will use the RADIUS authentication).
 
@@ -218,5 +237,5 @@
 
 Install the newly compiled packages with:
- root@OpenWrt:~# opkg install kmod-ipv6 hostapd libpthread
+ root@OpenWrt:~# opkg install kmod-ipv6 hostapd libpthread sctp
 
 ==============================================
@@ -274,4 +293,5 @@
 - Network --->
    freeDiameter (M)
+   freeDiameter-test (M)
    
 Quit and save the new config, then:
